//-----------------------------------------
// Kray Settings Load
// ver 0.11 by Tajino


@version 2.2
@warnings
@script generic

// global values go here
startread = 0;
stopread = 0;
readend = 0;
settingsline;
scenestartlines;
sceneendlines;
e = 1;
Krayexist = false;
Krayslot = 0;

generic
{
//check if Kray exist

    scene = Scene();
    masterplug = scene.server("MasterHandler");
    
    if(masterplug)
    {    
        counter = size(masterplug);
        for(i = 1; i <= counter; i++)
        {
            if(masterplug[i] == "Kray")
            {
				Krayslot = i;
                Krayexist = true;
                break;
            }
        }
    }
	if(!Krayexist)
	{
	error("Current scene does not contain Kray, please add Kray before loading its settings");
	return;
	}

	scene = Scene();
	tempdir = getdir(TEMPDIR);
	tempscenefile = string(tempdir + "\\KraySettings.lws");
	SaveSceneCopy(tempscenefile);
	
	OldsceneFile = File(tempscenefile,"r+");
	NewsceneFile = File(scene.filename,"w");
	
	Settingsfilename = getfile("Load Kray Settings","*.Kraycfg",,1);
	return if Settingsfilename == nil;
	
	insettingsfile = File(Settingsfilename,"r+");

//read settings from file
	for(i=1;!insettingsfile.eof();i++)
	{
		settingsline[i] = insettingsfile.read();
	}
	insettingsfile.close();

//read scene chunks
	for(i=1;!OldsceneFile.eof();i++)
	{
			line = OldsceneFile.read(i);
			
			if(line == string("Kray{"))
			{ stopread = 1; }
			
			if(stopread == 1 && line == string("EndPlugin"))
			{ readend = 1; }
			
			if(stopread != 1)
			{ scenestartlines[i] = line; }
			
			if(readend == 1)
			{ sceneendlines[e] = line; e++;}
	}
	
//write new scene
	for(i=1;i <= sizeof(scenestartlines);i++)
	{ NewsceneFile.writeln(scenestartlines[i]); }
	
	for(i=1;i <= sizeof(settingsline);i++)
	{ NewsceneFile.writeln(settingsline[i]); }
	
	for(i=1;i <= sizeof(sceneendlines);i++)
	{ NewsceneFile.writeln(sceneendlines[i]); }

//reload scene
	//CommandInput("Generic_SceneReverter");
	LoadScene(scene.filename);
	RefreshNow();
	
	openKray = string("EditServer MasterHandler ",Krayslot);
    CommandInput(openKray);

}