//-----------------------------------------
// Kray Settings Save
// ver 0.11 by Tajino


@version 2.2
@warnings
@script generic

// global values go here
startwrite = 0;
Krayexist = false;

generic
{
//check if Kray exist
    scene = Scene();
    masterplug = scene.server("MasterHandler");
    
    if(masterplug)
    {    
        counter = size(masterplug);
        
        for(i = 1; i <= counter; i++)
        {
            if(masterplug[i] == "Kray")
            {
                Krayexist = true;
                break;
            }
        }
    }
	if(!Krayexist)
	{
	error("Current scene does not contain Kray, please add Kray before saving its settings");
	return;
	}
		
	
	
	tempdir = getdir(TEMPDIR);
	tempscenefile = string(tempdir + "\\KraySettings.lws");
	SaveSceneCopy(tempscenefile);
	sceneFile = File(tempscenefile,"r+");
	
	Settingsfilename = getfile("Save Kray Settings","*.Kraycfg",,1);
	return if Settingsfilename == nil;
	
	outsettingsfile = File(Settingsfilename,"w");


	for(i=1;!sceneFile.eof();i++)
	{
			line = sceneFile.read(i);
			
			if(line == string("Kray{"))
			{ startwrite = 1; }
			
			if(startwrite == 1 && line == string("EndPlugin"))
			{ startwrite = 0; break;}
			
			if(startwrite == 1)
			{
			outsettingsfile.writeln(line);
			}
		
	}
	
	info("Kray settings saved successfully !");
}